//Remote Control Hot Air Balloon
//Receiver Code
//Written By:  Matt Barr
//Date:  2016
//https://hackaday.io/project/18086-remote-control-model-hot-air-balloon

#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>
#include <Servo.h>

RF24 radio(9, 10);
const byte rxAddr[6] = "00001";
int controlOutput;
int controlHighLimit = 100;          //Servo Position On
int controlLowLimit = 25;            //Servo Position Off
Servo gas;
int powerLED = 2;                    //Led Power Indicator
int signalLED = 4;                   //Led Connection-to-Transmitter Indicator.  Turn transmitter off, this goes out.  Turn transmitter on, this lights up.

void setup()
{
  while (!Serial);
  Serial.begin(9600);
  radio.begin();
  radio.openReadingPipe(0, rxAddr);
  radio.startListening();
  gas.attach(6);                     //Control wire for servo
  pinMode(powerLED, OUTPUT);
  pinMode(signalLED, OUTPUT);
}

void loop()
{
  digitalWrite(powerLED, HIGH);
  if (radio.available())
  {
    radio.read(&controlOutput, sizeof(controlOutput));
    gas.write(controlOutput);
    Serial.println("Signal Recieved");
    Serial.print("Position:  ");
    Serial.println(controlOutput);
    digitalWrite(signalLED, HIGH);
    delay(200);
  }
  else
  {
    gas.write(25);
    Serial.println("Signal Not Recieved");
    Serial.print("Position:  ");
    Serial.println(controlOutput);
    digitalWrite(signalLED, LOW);
    delay(200);
  }
  
}
